View Issue Details

IDProjectCategoryView StatusLast Update
0000872SymmetricDSNew Featurepublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.7 
Target Version3.2.0Fixed in Version3.2.0 
Summary0000872: Add an uninstall feature to SymmetricDS
DescriptionAdd an uninstall feature to SymmetricDS
TagsNo tags attached.

Activities

chenson

2012-12-16 12:32

administrator   ~0000152

Prepare for release

Related Changesets

SymmetricDS: master cb348f26

2012-11-01 18:51:39

chenson

Details Diff
0000872: Add an uninstall feature to SymmetricDS
0000872
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ClientSymmetricEngine.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbImport.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/derby/DerbyTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/firebird/FirebirdTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/h2/H2TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hsqldb/HsqlDbTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hsqldb2/HsqlDb2TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/informix/InformixTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/GreenplumTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/PostgreSqlTriggerTemplate.java Diff File
rm - symmetric-client/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/sybase/SybaseTriggerTemplate.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbFillTest.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/ISymmetricDialect.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/RestService.java Diff File

SymmetricDS: master 903addd9

2012-11-01 18:59:59

chenson

Details Diff
0000872: Add an uninstall feature to SymmetricDS
0000872
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/ISymmetricEngine.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/NotFoundException.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/RestService.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/model/ActionResponse.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/model/ChannelStatus.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/model/Engine.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/model/EngineList.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/model/Identity.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/model/NodeStatus.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/model/RestError.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/model/SyncTriggersActionResponse.java Diff File

SymmetricDS: master 4467c9fb

2012-11-01 19:08:06

chenson

Details Diff
0000872: Add an uninstall feature to SymmetricDS. Add option to the command line.
0000872
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/SymmetricAdmin.java Diff File
mod - symmetric-client/src/main/resources/symmetric-messages.properties Diff File

SymmetricDS: master 7379d085

2012-11-03 20:23:49

chenson

Details Diff
0000872: Add an uninstall feature to SymmetricDS. Add option to the command line.
0000872
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2v9SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/derby/DerbySymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/derby/DerbyTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/firebird/FirebirdSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/firebird/FirebirdTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/h2/H2SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/h2/H2TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hsqldb/HsqlDbSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hsqldb/HsqlDbTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hsqldb2/HsqlDb2SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hsqldb2/HsqlDb2TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/informix/InformixSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/informix/InformixTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/interbase/InterbaseSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/interbase/InterbaseTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/GreenplumTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/PostgreSqlSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/PostgreSqlTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/sybase/SybaseSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/sybase/SybaseTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteSymmetricDialect.java Diff File

SymmetricDS: master 84489852

2012-11-04 15:59:16

chenson

Details Diff
0000872: Add an uninstall feature to SymmetricDS. Add option to the command line.
0000872
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlSymmetricDialect.java Diff File

SymmetricDS: master 1bdfd8de

2012-11-04 16:20:25

chenson

Details Diff
0000872: Add an uninstall feature to SymmetricDS. Add option to the command line.
0000872
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hsqldb2/HsqlDb2SymmetricDialect.java Diff File

SymmetricDS: master 515043b5

2012-11-05 13:43:11

chenson

Details Diff
0000872: Run uninstall with unit tests
0000872
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/AbstractEmbeddedSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2v9SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/derby/DerbySymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/firebird/FirebirdSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/h2/H2SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hsqldb/HsqlDbSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hsqldb2/HsqlDb2SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/informix/InformixSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/interbase/InterbaseSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/PostgreSqlSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/sybase/SybaseSymmetricDialect.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/test/TestSetupUtil.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/ISymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File

SymmetricDS: master 3e3a595d

2012-11-05 14:11:09

chenson

Details Diff
0000872: Run uninstall with unit tests
0000872
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File

SymmetricDS: master 5ad24b80

2012-11-05 14:54:17

chenson

Details Diff
0000872: Run uninstall with unit tests
0000872
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/firebird/FirebirdSymmetricDialect.java Diff File

SymmetricDS: master cefa36bc

2012-11-05 15:24:55

chenson

Details Diff
0000872: Run uninstall with unit tests
0000872
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/interbase/InterbaseSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/PostgreSqlSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File

SymmetricDS: master 555a4bdb

2012-11-05 20:00:08

chenson

Details Diff
0000872: Run uninstall with unit tests
0000872
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleSymmetricDialect.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/test/TestSetupUtil.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

SymmetricDS: master 56b35e22

2012-11-06 07:45:32

chenson

Details Diff
0000872: testing uninstall
0000872
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleSymmetricDialect.java Diff File

SymmetricDS: master 181b1415

2012-11-06 08:23:16

chenson

Details Diff
0000872: testing uninstall
0000872
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/test/TestSetupUtil.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File

Issue History

Date Modified Username Field Change
2012-10-23 16:02 chenson New Issue
2012-10-23 16:02 chenson Status new => assigned
2012-10-23 16:02 chenson Assigned To => chenson
2012-11-08 18:16 chenson Status assigned => resolved
2012-11-08 18:16 chenson Fixed in Version => 3.2.0
2012-11-08 18:16 chenson Resolution open => fixed
2012-12-16 12:32 chenson Note Added: 0000152
2012-12-16 12:32 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6446
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6447
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6448
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6469
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6471
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6472
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6476
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6477
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6478
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6479
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6481
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6482
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6483
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 181b1415
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 56b35e22
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 555a4bdb
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master cefa36bc
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 5ad24b80
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 3e3a595d
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 515043b5
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 1bdfd8de
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 84489852
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 7379d085
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 4467c9fb
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 903addd9
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master cb348f26